#ifndef DICT_WRAPPER_H
#define DICT_WRAPPER_H

#include "Gcide.h"

#include <QtGui>

class DictWrapper
{

private:
	QString getStdoutFromCommand (const QString);
	void parseDefault (QStringList::iterator);
	void formatAsHtml (const QString);
	bool definitionsFound(void);
	void createLinksPage(const QString);

public:
	DictWrapper(void);
	QString translateToHtmlString(const QString, const int);
	void setCompleterWords(QStringList *);
	QStringList getSearchStrategies(void);

private:
	QStringList 	lines;
	Gcide 		*gcide;
};

#endif /* DICT_WRAPPER_H */
