#ifndef GCIDE_H
#define GCIDE_H

#include <QtGui>

class Gcide
{

private:

	bool markEnumList	(QStringList::iterator);
	bool markSubList	(QStringList::iterator);
	bool markList		(QStringList::iterator);
	bool markQuotation	(QStringList::iterator);
	bool markSource 	(QStringList::iterator &);

	void replaceLinks 	(QStringList::iterator);
	void replaceNote 	(QStringList::iterator);
	void replaceDb		(QStringList::iterator);

public:
	void setCompleterWords(QStringList *);
	void parser (QStringList::iterator it, QString last,
			QStringList::iterator end);

private:
	bool in_enumlist;
	bool in_sublist;
	bool in_list;
	bool in_quotation;
	bool in_source;
	bool prev_line_was_empty;

};

#endif /* GCIDE_H */
