#ifndef MAIN_WIDGET_H
#define MAIN_WIDGET_H

#include <QtGui>

#include "DictWrapper.h"

class MainWidget : public QWidget
{
	Q_OBJECT

private slots:
	void activatedCB(const QString &);
	void anchorClickedCB(const QUrl &);

public:
	MainWidget(QWidget *parent = 0);

private:
	QGridLayout	*mainLayout;

	QStringList 	*completerWords;
	QCompleter 	*completer;
	DictWrapper	*dictWrapper;

	QComboBox	*entryComboBox;
	QLabel		*strategiesLabel;
	QComboBox	*searchStrategyComboBox;
	QTextBrowser	*textBrowser;
};

#endif /* MAIN_WIDGET_H */
